Welcome

Welcome to the Amigo DVD Ripper, the most easily used DVD ripper tools . You can backup your DVD movies to VCD/SVCD/AVI/DivX etc just by several clicks.

Application Features:

  1. Backup the DVD movie very easily by clicking the mouse two times;
  2. Support file Drag & Drop with window explorer;
  3. Batch file converting;
  4. Selectable Video&Audio Codec;
  5. Support file split;
  6. Needs no user interactive when converting;

System Requirement:

Abosultely: DVD-ROM or equivalent device to read DVD

Operating System : Microsoft Windows 98/Me/2000/XP

RAM : 256M RAM for Windows ME/2000/XP, 128M RAM for Window 98

CPU : Pentium 200 MMX or higher

Video Card : Support 24bits true color mode and 800*600 resolution

Hard Disk : 2G free space in a single logical driver (to store the dvd file)

Highly recommendation:

CPU : Pentium III CPU since DVD-converting is a CPU-intensity process

ASPI Driver is highly recommendate for access the DVD-ROM


Legal Statement

==============================================================================
END-USER LICENSE AGREEMENT FOR AMIGO DVD RIPPER
------------------------------------------------------------------------------

This End-User License Agreement for the Software program (hereinafter the "Software") identified below, is a legal agreement between you and Amigo Software, the creator of Amigo DVD Ripper (hereafter referred to as "THE AUTHOR"). BY INSTALLING OR USING THE SOFTWARE, YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY, REFERRED TO HEREINAFTER AS "YOU") CONSENT TO BE BOUND BY AND BECOME A PARTY TO THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, PLEASE DO NOT INSTALL AND DO NOT USE THE SOFTWARE.

This End-User License Agreement has 3 parts:

Part I applies if you have not purchased (yet) a license to the Software.
Part II applies if you have purchased a license to the Software.
Part III applies to all license grants.

*** LICENSE AGREEMENT OF EVALUATION VERSION ***

The following license applies to the evaluation version of Amigo DVD Ripper. If you have purchased a license for the registered version of Amigo DVD Ripper, see the section "License Agreement" above.

You should carefully read the following terms and conditions before using this software. Your use of this software indicates your acceptance of this license agreement and warranty.

-Evaluation and Registration

This is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for ripper a 3 minutes dvd video. If you want to use this software to convert a whole dvd movie a registration fee is required (see How to register).

When payment is received you will be sent a registration code that will unlock all the product features.

-Distribution of Evaluation Version

Provided that you verify that you are distributing the evaluation version you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means.
There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

*** LICENSE AGREEMENT OF REGISTERED VERSION ***

This license applies to the registered version of Amigo DVD Ripper. If you are using an evaluation version of Amigo DVD Ripper, see the section titled titled "Evaluation License" below.

You should carefully read the following terms and conditions before using this software. Your use of this software indicates your acceptance of this license agreement and warranty.

-Registered Version

One registered copy of Amigo DVD Ripper may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non simultaneously by multiple people, but not both.

You may access the registered version of Amigo DVD Ripper through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. For instance, if 3 different workstations will Amigo DVD Ripper on the network, each workstation must have its own Amigo DVD Ripper license, regardless of whether they use Amigo DVD Ripper at different times or concurrently.

*** LICENSE AGREEMENT OF BOTH EVALUATION AND REGISTERED VERSION ***

-Ownership of Software

Title, ownership rights, and intellectual property rights in and to the Software and the written materials (regardless of the form or media in or on which the original and other copies may exist) shall remain with the 1stcypersoft and it's suppliers. The Software is protected by Copyright Law and international copyright treaties, as well as other intellectual property laws and treaties. There is no transfer to you of any title to or ownership of the Software and this license shall not be construed as a sale of any rights in the Software.

You acknowledge such ownership and intellectual property rights and will not take any action to jeopardize, limit or interfere in any manner with the author and his suppliers' ownership of or rights with respect to the Software. You agree not to remove or alter any copyright, trademark, registered mark or other proprietary notices on any copies of the Software. The author and his suppliers reserve all rights not granted.

-Reengineering

In no event may you reverse engineer or patch this software.

-Transfers

You may permanently transfer all of your rights under this License Agreement, provided the recipient agrees to the terms of this License Agreement and you agree to destroy the Software and any created files that are licensed to you.

In no event may you assign, rent, lease, loan, sell or otherwise dispose of the Software on a temporary basis.

-Termination

The license will terminate automatically if you fail to comply with the limitations described herein. On termination, you must destroy all copies of the Software and documentation.

Upon such termination you must uninstall the Software, all accompanying written materials and all copies thereof.

-Language

The parties hereto confirm that it is their wish that this Agreement, as well as other documents relating hereto, have been and shall be written in the English language only.

-Governing Law and General Provisions

This Agreement shall be governed and construed under the copyright law, without regard to its conflicts of law rules. This Agreement sets forth all rights for the user of the Software and is the entire agreement between the parties. This Agreement supersedes any other communications with respect to the Software and Documentation. This Agreement shall inure to the benefit of and be binding upon the parties and their respective successors, permitted assigns and legal representatives. If any provision herein is found void or unenforceable, it will not affect the validity of the balance of the Agreement, which shall remain valid and enforceable according to its terms.

The Amigo DVD Ripper is provided to the user to backup his/her DVD only. The end user should have the legal copy of the DVD he/she want to backup by this software. The creator of Amigo DVD Ripper will have no responsibility for the end user who make illegal copy of the DVD video/audio. Any legal issue between the end user and the software creator needs should be judged by the court indicated by the software creator.

-Disclaimer of Warranty (LIMITATION OF LIABILITY)

THE PROGRAM IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL THE AUTHOR or AUTHORS BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THE PROGRAM, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS AS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US, SUPERSEDING ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS LICENSE.


How to Register

Before you start in converting the first DVD file remember that Amigo DVD Ripper is a shareware product. This means it is a "try before you buy" product and you have to register it if you want to use it to create fully featured screen savers.

It also means that you can convert only a limited time video of the DVD in the trial version to encourage you to register. Also, the trial version will stop function after the trial time has been expired. "Please Register" messages will appear after your the trying period.

You can get information on how to register and current prices at our web site: http://www.amigodvdripper.com

After getting the authenticate key and serial no, you can enter it in the registration dialog to unlock all the function of this software.

Step One: | Access the registration dialog by the following two method: 1. Restart the unregistered software; 2. Click the help button to access the shortcut menu
Step Two: | Enter the authentication key and the serial no, make sure the serial has no line return in the middle of the string
Step Three: | The software will restart by itself and the authentication key has been verified


Contact Information

 Our website: http://www.amigodvdripper.com

Support email address: support@amigodvdripper.com

Feature request address: features@amigodvdripper.com

Tech SUPPORT:

Free support is available to those who purchase the registered version of our software. You also can access our F.A.Q. page in our website to get instant help. We also endeavor to assist users who are evaluating our software, but priority is given to our customers.
Any suggestions would be appreciated, thank you!


What's New

V2.8 2003/04/26 Latest version:
  • Totally re-designed interface, easier and more straightforward to use.
  • DVD Ripping by different video/audio bitrate.
V2.6 2003/03/19 Enhanced Rip Mode:
  • 7 DVD Ripper Mode added to make better Audio/Video quality besides the normal one
  • DVD Ripping by selected chapters
  • DVD Copy to VCD, SVCD, AVI Ripping by specified time frame
V2.5 2003/02/22

Important upgrade: A lot of new features included!

  • New Wizard added to help user specify more detail parameters;
  • DVD subtitle & language selectable;
  • Background process enabled;
  • Better handler of invalide data block;
  • Selectable de-nterlace method;
  • Quality Improved by modified encode/decode engine;
  • Website updated;
  • And many others waiting for your explorering!
V2.1.3 2003/02/12

Add New Features:

  • De-interlace processing
  • Converting ratio of video width/height selectable
V2.1 2002/10/08

Release to Public:

  • Integrate easy to use interface with back end encoder/decoder
V2.0 | 2002/09/24 | Internal Release of DVD to SVCD
V1.5 | 2002/08/05 | Internal Release of DVD to AVI (Divx etc.)
V1.0 | 2002/06/12 | Internal Release of DVD to VCD


Look me first!

What's the different between wizard mode and quick mode:

  • Wizard Mode: Wizard mode provide a step-by-step guide for user to specify the parameter used to do ripping. Don't be worry if you know little about DVD terminology, we have set the default value for you that compatible with most DVD movies. If you click cancel in the wizard, it will act inl Quick Mode;
  • Quick Mode: Quick Mode provide a way for user to start their ripping as quickly as possible, all the parameter has been set by default values. By Click "rip-it" with file added to the list, the ripping process is begin!

Why I can't rip the whole movie?

  1. You are using a trial version of Amigo DVD Ripper, the trial version only allow you convert 1/3 of the movie length, please click the "Buy Now" button to purchase a register code to unlock it;
  2. There are some invalid data block exist in the disc you want to convert. we're always trying to improve the capability of our software to deal with error data stream;
  3. There is another unhappy thing happend, please send the error message shown to you to support@amigodvdripper.com


Start with Wizard

Step One:
If you start Amigo DVD Ripper 2.8 for the first time, a startup dialog will popup to ask you whether to go with wizard mode or quick mode, select wizard mode and click "Next" button to go to next step.
Step Two:
This step will appear only if the software didn't find any DVD movie in the DVD driver, you can specify the movie file to convert by the "Open" button. If one or more DVD movie has been found, the step 3 and step 4 will be repeated for each movie. Click on "Next" button to go to next step
Step Three:
This step will be shown directly if the software has found DVD file in your disc and skip step two. The software will parse the movie file and popup a dialog to ask for the parameter of reading the source movie. Click "Next" button to go to next step
Step Four:
Step 4 will popup a dialog to ask for the parameter of write to the target result video. Click "Done" to end the process of the movie, or click "Next" to Step 5 if you want to rip just a piece of the whole movie. If there is another movie needs to be specified, you will go to Step 3.
Step Five:
Step 5 is used to specify the parameter of movie piece. You can rip the whole movie or just a piece of the video (by chapter or by time frame). Click "Done" to end the process of current movie.
Step Six:
Click the "rip-it" button to begin ripping


Quick Start

There are three methods to convert DVD movies:

Method One:

  1. Insert your DVD into the DVD ROM
  2. Start Amigo DVD Ripper.
  3. Select the file that you want to backup and drag them to the software, then drop, Amigo DVD Ripper will automatically accept the files and add them to the converting list.
  4. Click "Rip-It" to begin converting.

Method Two:

  1. Insert your DVD into the DVD ROM
  2. Start Amigo DVD Ripper.
  3. Click on the search button in the main panel, the software will search DVD ROM and build the proper file list.
  4. Click "Rip-It" to begin converting.

The default directory to store the movie is the directory where Amigo DVD Ripper installed.


Main Panel

Amigo DVD Ripper is a powerful software help you backup your DVD into VCD,SVCD or AVI,DivX etc.With a friendly UI , most function can be done by just several clicks on the main wndow.

Control Description
 | The end user can click this button to add the dvd file he want to convert into the file list.
 | Rip the listed file to target format (VCD/SVCD/DivX)
 | Search the DVD file in the newly inserted DVD-Rom and add them into the list
 | Open the option dialog to set the global properties.
 | Go to Amigo Software's website to purchase the software.
 | Time control. Display the time that has been converted.
 | Popup the shortcut menu for help


Global Properties

Using Amigo DVD Ripper preference dialog(default setting) can help you make your converting job done automatically . To change the default setting , click "option" button in the main window.

The global properties are grouped in two categories:

Properties in General PropertyPage:
-Default Sound Quality: The sound quality used by the input video file.
-Out frame rate: The default frame rate (fps) of the target video.
-Output Directory: The default output directory for the target file. this value was set to the directory where the software installed by default.
-Split Mode: Since the DVD file is often very large, the user can set how to split the large movie into several smaller piece.
-Show Startup Dialog: Whether to show the startup dialog(step 1 of the Wizard) or not.
-Use Wizard Mode: Whether to Popup step 3 and 4 of the wizard when add a new file to the list
-Background process: Running the ripping process in background.
  • on:- Better interactive response and slower converting speed;
  • off:- worse interactive repsonse and faster converting speed;
Properties in VCD PropertyPage:
-Video Bitrate: | The video bitrate for the converting to MPEG-1
-Audio Bitrate: | The audio bitrate for the converting to MPEG-2
Properties in SVCD PropertyPage
-Video Bitrate: | The video bitrate for the converting to MPEG-2
-Audio Bitrate: | The audio bitrate for the converting to MPEG-2
Properties in AVI PropertyPage
-Video Codec: The video codec used to compress the video frame.

In fact, you don't need to set these properties because all the value has been set to optimized value by default.


Individual Properties

In contrast to the global properties, the individual property affects a special conversion item listed . The user can access the individual property by righ click on the special item in the converting list.

There are following properties can be set by the shortcut menu:

Output Directory: | The directory used to store the converting result.
Select Target Type: | The target video type (VCD, SVCD, AVI)
Output FrameRate: | The output frame rate (23 ~ 30 fps)
Split Mode: | File size of converting result
Convert Ratio: | Change the width/height ratio of the converting result
Unique Properties: | The properties used to read DVD and write converting result for each item in the list.

The shortcut menus of the setting are listed below:

Select Target Type | Output FrameRate | Split Mode | Convert Ratio

The Reading parameter and Writing parameter is the same as step 3 and step 4 of the wizard.

Note: The individual property will override the corresponding global properties.


Glossary

.IFO file | The .IFO (and backup .BUP) files contain menus and other information about the video and audio
.VOB & .AOBfile | .VOB files (for DVD-Video) and .AOB files (for DVD-Audio) are MPEG-2 program streams with additional packets containing navigation and search information
Bitrate | Also known as Bit rate. The speed at which digital audio and video content streams from a source, such as a file, to be rendered properly by a player, or the speed at which binary content in general is streamed on a network
Codec | Short for compressor/decompressor. Codecs are various types of computer algorithms that are applied to audio, video, and image files to compress the size of the files


Help Menu

The user can access the help very easily by click the help button on the top-right cornor.

Menu Item Description
 | Help | Popup this help file
 | Support | Go to the support page of this product
 | Buynow | Go to the website where you can purchase this software
 | Enter Registration code | Enter the registration code to get all functions of this software
 | Amigo Online | Go to the webiste for Amgio Software L.T.D.
 | About | Popup the dialog to show the information about this software